import {
  getRequest,
  postJsonRequest,
  deleteRequest,
  putRequest,
} from "@/utils/axios";
const infoApi = {
  // 获取设备信息
  getSys(params) {
    return getRequest("/info", params);
  },
  // 获取网络信息
  getNet(params) {
    return getRequest("/net", params);
  },
  saveNet(params) {
    return putRequest("/net", params);
  },
  reboot() {
    return postJsonRequest("/reboot",);
  },
  // 透传列表
  getTc(params) {
    return getRequest('/tc', params)
  },
  // 获取透传类型
  getSupport(params) {
    return getRequest('/tc/support', params)
  },
  // 获取可用串口列表
  getFree(params) {
    return getRequest('/com/free', params)
  },
  // 获取支持的通讯驱动
  getTxSupport(params) {
    return getRequest('/tx/support', params)
  },

  // 获取所有串口列表api/com
  getCom(params) {
    return getRequest('/com', params)
  },
  
  saveTx(params) {
    return postJsonRequest("/tx", params);
  },
  editTx(params) {
    return putRequest("/tx", params);
  },
  // 透传服务启停
  stopTc(params) {
    return putRequest("/tc", params);
  },
  // 透传服务删除
  delTc(params) {
    return deleteRequest("/tc", params);
  },
  // 模板列表
  getMb(params) {
    return getRequest('/tx/mb/list', params)
  },
  // 新增模板
  addMb(params) {
    return postJsonRequest('/tx/mb', params)
  },
  // 编辑模板
  editMb(params) {
    return putRequest('/tx/mb', params)
  },
  // 删除模板
  delMb(params) {
    return deleteRequest('/tx/mb', params)
  },
  // 新增点位
  addP(params) {
    return putRequest('/tx/mb', params)
  },
 
  // 获取点位
  getP(params) {
    return postJsonRequest('/tx/mb/info', params)
  },
  // 获取设备列表
  getSet(params) {
    return postJsonRequest('/tx/info', params)
  },
   // 新增设备
   addSet(params) {
    return putRequest('/tx/device', params)
  },
  // 通讯列表
  getTx(params) {
    return getRequest('/tx/list', params)
  },
  // 新增通讯列表
  saveTx(params) {
    return postJsonRequest("/tx", params);
  },
  
  // 通讯服务启用,停用
  changeStatus(params) {
    return postJsonRequest(`/tx/${params.url}/${params.name}`, params);
  },

  // 删除通讯
  delTx(params) {
    return deleteRequest(`/tx`, params);
  },
  // 获取上报列表
  getSc(params) {
    return getRequest('/sb/list', params)
  },
  // 获取上报驱动
  getQuDong(params) {
    return getRequest('/sb/support', params)
  },
  // 新增上报
  saveTx(params) {
    return postJsonRequest("/sb", params);
  },
  // 编辑通讯
  updateTx(params) {
    return putRequest('/sb', params);
  },
  // 上报启停
  stopSc(params) {
    return putRequest("/sc", params);
  },
  // 删除上报
  delSc(params) {
    return deleteRequest("/sb", params);
  },
  // 规则查询
  getRules(params) {
    return getRequest('/rule', params);
  },
  // 规则操作
  postRules(params) {
    return postJsonRequest('/rule', params)
  },
};
export default infoApi;
